---

# System proxy to use. If undefined or set to an empty string
# proxy will be disabled
# system_proxy: http://proxyout.example.org:3128

# List of hosts for which no proxy should be used
system_proxy_base_no_proxy:
  - 127.0.0.1
  - localhost
  - "{{ inventory_hostname | regex_replace('^([^.]+)\\..*','\\1') }}"
  - "{{ inventory_hostname }}"
# Can be used to add no_proxy hosts without overriding the default ones
system_proxy_extra_no_proxy: []
system_proxy_no_proxy: "{{ system_proxy_base_no_proxy + system_proxy_extra_no_proxy }}"

# List of protocols for which env variables will be set (if a proxy is configured)
system_proxy_proto:
  - http
  - https
  - ftp
